%global tarball xf86-input-elographics
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

#global gitdate 20101206
#global gitversion 6fd22a9d6

Summary:   Xorg X11 elographics input driver
Name:      xorg-x11-drv-elographics
Version:   1.3.0
Release:   2%{?gitdate:.%{gitdate}git%{gitversion}}%{dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

%if 0%{?gitdate}
Source0:    %{tarball}-%{gitdate}.tar.bz2
Source1:    make-git-snapshot.sh
Source2:    commitid
%else
Source0:    ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
%endif

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.10.99.902

BuildRequires: autoconf automake libtool
Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires xinput)

%description 
X.Org X11 elographics input driver.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}

%build
autoreconf -v --install || exit 1
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/elographics_drv.so
%{_mandir}/man4/elographics.4*

%changelog
* Sun Oct 23 2011 Andrew Wyatt <andrew@fuduntu.org>
- Built for Fuduntu

* Thu Aug 18 2011 Adam Jackson <ajax@redhat.com> - 1.3.0-2
- Rebuild for xserver 1.11 ABI

* Thu Jul 07 2011 Peter Hutterer <peter.hutterer@redhat.com>
- Disable silent rules on build, build with _smp_mflags

* Mon Jun 27 2011 Peter Hutterer <peter.hutterer@redhat.com> 1.3.0-1
- elographics 1.3.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.99-2.20101206git6fd22a9d6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 06 2010 Peter Hutterer <peter.hutterer@redhat.com> 1.2.99-1.20101206git6fd22a9d6
- Add git hooks, update to today's git snapshot

* Wed Oct 27 2010 Adam Jackson <ajax@redhat.com> 1.2.4-3
- Add ABI requires magic. (#542742)

* Mon Jul 05 2010 Peter Hutterer <peter.hutterer@redhat.com> - 1.2.4-2
- rebuild for X Server 1.9

* Wed Jun 09 2010 Peter Hutterer <peter.hutterer@redhat.com> 1.2.4-6
- elographics 1.2.4

* Thu Jan 21 2010 Peter Hutterer <peter.hutterer@redhat.com> - 1.2.3-6
- Rebuild for server 1.8

* Thu Jan 07 2010 Peter Hutterer <peter.hutterer@redhat.com> 1.2.3-5
- Change define to global as per Packaging Guidelines.
- Fix indentation of Version and Release.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Peter Hutterer <peter.hutterer@redhat.com> - 1.2.3-3
- elographics-1.2.3-abi.patch: Cope with XINPUT ABI 7.

* Wed Jul 15 2009 Adam Jackson <ajax@redhat.com> - 1.2.3-2.1
- ABI bump

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 21 2008 Peter Hutterer <peter.hutterer@redhat.com> 1.2.3-1
- elographics 1.2.3

* Thu Mar 20 2008 Adam Jackson <ajax@redhat.com> 1.2.0-1
- elographics 1.2.0

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.0-5
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.1.0-4
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.1.0-3
- Update Requires and BuildRequires.  Disown the module directories.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.1.0-2
- ExclusiveArch -> ExcludeArch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0 from 7.1RC1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.0.5-1
- Updated xorg-x11-drv-elographics to version 1.0.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.4-1
- Updated xorg-x11-drv-elographics to version 1.0.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.2-1
- Updated xorg-x11-drv-elographics to version 1.0.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-elographics to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for elographics input driver generated automatically
  by my xorg-driverspecgen script.
